// Imports
@use "variables" as var;

// Mixins
@mixin give-content-desktop-width(
  $width: var.$standard-layout-content-default
) {
  :host {
    @media (min-width: var.$breakpoint-desktop) {
      width: $width;
    }
  }
}

@mixin extend-icon-set($icon-class-name, $icon-svg-filename) {
  .#{$icon-class-name}::before,
  .#{$icon-class-name}::after {
    -webkit-mask-image: url("../icons/" + $icon-svg-filename + ".svg");
    mask-image: url("../icons/" + $icon-svg-filename + ".svg");
  }
}
